Bug 108458 - ports/archivers/gzip -> 1.3.9
Summary: ports/archivers/gzip -> 1.3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Kovesdan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-28 00:10 UTC by jharris
Modified: 2007-02-01 22:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2007-01-28 00:10:17 UTC
	upgrade ports/archivers/gzip to 1.3.9

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iJ0EARECAF0FAkW75zBWGGh0dHA6Ly9rZXlzZXJ2ZXIua2pzbC5jb206MTEzNzEv
cGtzL2xvb2t1cD9vcD1nZXQmc2VhcmNoPTB4RDM5REEwRTMmd2VoYXZleW91bm93
PXRydWUACgkQSypIl9OdoONcIwCfSRX4RsDOPWtqOKKCQbfMApjpqUQAmQEQfyev
ppFMfSCjeyAhyAn8+fHw
=jll3
-----END PGP SIGNATURE-------rjqehbOtDo8jc9S9tuqr91hFIyQPlpMsgJUSK7sHuJuDY8de
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/archivers/gzip/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- Makefile	8 Dec 2006 13:46:25 -0000	1.17
+++ Makefile	27 Jan 2007 23:58:16 -0000
@@ -6,20 +6,22 @@
 #
 
 PORTNAME=	gzip
-PORTVERSION=	1.3.5
-PORTREVISION=	2
+PORTVERSION=	1.3.9
 CATEGORIES=	archivers
-MASTER_SITES=	ftp://sunfreeware.risq.qc.ca/SOURCES/ \
-		ftp://sunsite.cnlab-switch.ch/mirror/solaris-freeware/SOURCES/ \
-		ftp://ftp.ibiblio.org/pub/packages/solaris/freeware/SOURCES/ \
-		ftp://sunsite.belnet.be/mirror/ftp.sunfreeware.com/pub/freeware/SOURCES/
-EXTRACT_SUFX=	.tar.Z
+MASTER_SITES=	${MASTER_SITE_GNU}
+MASTER_SITE_SUBDIR=	${PORTNAME}
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.sig
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	gabor@FreeBSD.org
 COMMENT=	A compression utility designed to be a replacement for compress
 
+USE_GPG?=	yes
+SIG_FILES=	${DISTNAME}${EXTRACT_SUFX}.sig
 GNU_CONFIGURE=	yes
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ARGS+=	--infodir=${LOCALBASE}/info \
+			--mandir=${LOCALBASE}/man
 
 MAN1=	gunzip.1 gzexe.1 gzip.1 zcat.1 zcmp.1 zdiff.1 zforce.1 \
 	zgrep.1 zless.1 zmore.1 znew.1
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/archivers/gzip/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- distinfo	2 Dec 2005 15:44:14 -0000	1.4
+++ distinfo	27 Jan 2007 23:58:16 -0000
@@ -1,3 +1,10 @@
-MD5 (gzip-1.3.5.tar.Z) = 2215e466021d2dabca8a4ddd17d322bc
-SHA256 (gzip-1.3.5.tar.Z) = 8739c5b461f5bd591ecfcf1e0c205be8d98d20d1f22dca88b501fd2fff732834
-SIZE (gzip-1.3.5.tar.Z) = 493079
+MD5 (gzip-1.3.9.tar.gz) = 7cf923b24b718c418e85a283b2260e14
+SHA1 (gzip-1.3.9.tar.gz) = d244026379b779037bd8adcba82f620068880725
+RMD160 (gzip-1.3.9.tar.gz) = 27e28003bef96cdf195717c41a8ea16561576cb0
+SHA256 (gzip-1.3.9.tar.gz) = a6fdbe5ce21f5e4ce219375c29e842da517e61a56900a678cf258b4fdd603e72
+SIZE (gzip-1.3.9.tar.gz) = 420737
+MD5 (gzip-1.3.9.tar.gz.sig) = 0defbd08904dda53732b09a26eebe52e
+SHA1 (gzip-1.3.9.tar.gz.sig) = cedeebcf63a0d2d7717496f64b65ba5ccbd3f1bc
+RMD160 (gzip-1.3.9.tar.gz.sig) = 3f103b675a15b349bf228ad2aa181783cd2dfb22
+SHA256 (gzip-1.3.9.tar.gz.sig) = 78576e75e19e0deb333258d6ec46b07633856edb0ea6746ea0b9caf3eb69c6c2
+SIZE (gzip-1.3.9.tar.gz.sig) = 189
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (FreeBSD)
How-To-Repeat: 	apply patch below
Comment 1 Edwin Groothuis freebsd_committer 2007-01-28 00:11:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-02-01 22:19:00 UTC
gabor       2007-02-01 22:18:55 UTC

  FreeBSD ports repository

  Modified files:
    archivers/gzip       Makefile distinfo 
  Removed files:
    archivers/gzip/files patch-gzip.c patch-zgrep.in 
  Log:
  - Update to 1.3.9
  - Change MASTER_SITES to MASTER_SITE_GNU
  - Add proper CONFIGURE_ARGS
  - Remove old patches
  - Possibly fix security issues (it will need more investigation, this version
    is still marked as vulnerable in VuXML, I'll check later)
  
  PR:             ports/108458
  Submitted by:   Jason Harris <jharris@widomaker.com>
  Approved by:    erwin (mentor)
  
  Revision  Changes    Path
  1.18      +5 -7      ports/archivers/gzip/Makefile
  1.5       +3 -3      ports/archivers/gzip/distinfo
  1.2       +0 -62     ports/archivers/gzip/files/patch-gzip.c (dead)
  1.2       +0 -29     ports/archivers/gzip/files/patch-zgrep.in (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Gabor Kovesdan freebsd_committer 2007-02-01 22:19:09 UTC
State Changed
From-To: open->closed

Committed with slight changes: 
- Removed the officially unsuppoted USE_GPG. I still don't think it's 
useless, but it is not supported. 
- The old patches should have been removed. 
- Manpages should go to MANPREFIX/man. 

Thanks for your contribution!